Skip to main content

Monitors API

Create, inspect, update, and delete saved-search monitors.

Use This API To

  • List and create saved-search monitors.
  • Inspect monitor matches and update delivery destinations.
  • Deactivate monitors idempotently when they are no longer needed.

Before You Call

1

Define the saved query and delivery destination before creating a monitor

Define the saved query and delivery destination before creating a monitor.
2

Use match polling to verify a monitor before relying on delivery

Use match polling to verify a monitor before relying on delivery.
3

Log monitor IDs with alert configuration

Log monitor IDs with alert configuration.

Endpoints

GET /v1/monitors

List saved-search monitors for the current organization

POST /v1/monitors

Create a saved-search monitor with optional webhook or email delivery destination

GET /v1/monitors/{monitor_id}

Retrieve a single monitor by id

DELETE /v1/monitors/{monitor_id}

Deactivate a monitor (idempotent; sets is_active=false)

POST /v1/monitors/{monitor_id}/delivery

Update or replace the monitor’s delivery destination (e.g., set or change an email recipient)

GET /v1/monitors/{monitor_id}/matches

Run the monitor’s saved query and return new matches since last_checked_at